@echo off
rem
rem This batch file builds all of the example programs in this
rem directory using the Watcom C 386 C/C++ compiler.  The
rem programs are built DosStyle.  The batch file assumes that
rem Watcom C compiler and the Phar Lap tools are in the path.
rem Also the Watcom C environment variables INCLUDE and LIB
rem must be properly set.
rem

if not exist graph.h goto missing

wcc386p -I. gdemo.c
wcc386p -I. gglue.c
386asm -nolist -twocase prot.asm
386link @wc386.dos gdemo gglue prot -maxreal FFFFh
goto done

:missing
echo .
echo The file "graph.h" must be in the current directory in
echo order to compile "gdemo.exe".  It can be copied from the 
echo INCLUDE subdirectory of the 16-bit Microsoft C or Visual C++ 
echo compiler directory.
echo .
:done
